Subject: Re: [PATCH v2 09/10] builtin/gc.c: make `gc.cruftPacks` enabled by default

From: Taylor Blau <[email-masked]>
Date: Thu, 20 Apr 2023 13:24:01 -0400

On Wed, Apr 19, 2023 at 03:22:13PM -0700, Junio C Hamano wrote:
> Taylor Blau <[email-masked]> writes:
>
> > diff --git a/Documentation/config/feature.txt b/Documentation/config/feature.txt
> > index e52bc6b858..17b4d39f89 100644
> > --- a/Documentation/config/feature.txt
> > +++ b/Documentation/config/feature.txt
> > @@ -14,9 +14,6 @@ feature.experimental::
> >  +
> >  * `fetch.negotiationAlgorithm=skipping` may improve fetch negotiation times by
> >  skipping more commits at a time, reducing the number of round trips.
> > -+
> > -* `gc.cruftPacks=true` reduces disk space used by unreachable objects during
> > -garbage collection, preventing loose object explosions.
>
> Being listed here is a definite sign that a feature behind a
> configuration variable is considered experimental.  Do we have (and
> if not, do we want to establish) a procedure to mark and announce a
> feature that used to be experimental no longer is?  If it is enough
> to mention it in the release notes, then I can take care of it, of
> course.

I am not aware of such a procedure. But personally I think it would be
fine to mention it in the release notes for the next release.

Thanks,
Taylor